Create Balance Monitoring
curl --request POST \
--url https://mapi.zbx.boomfi.xyz/v1/partners/accounts/id/{accountId}/automations/maintain-balance \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--header 'X-API-Nonce: <api-key>' \
--header 'X-API-Signature: <api-key>' \
--data '
{
"currency": "<string>",
"minimum_threshold_amount": 123,
"payout_address": "<string>",
"payout_threshold_amount": 123
}
'import requests
url = "https://mapi.zbx.boomfi.xyz/v1/partners/accounts/id/{accountId}/automations/maintain-balance"
payload = {
"currency": "<string>",
"minimum_threshold_amount": 123,
"payout_address": "<string>",
"payout_threshold_amount": 123
}
headers = {
"X-API-KEY": "<api-key>",
"X-API-Nonce": "<api-key>",
"X-API-Signature": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-KEY': '<api-key>',
'X-API-Nonce': '<api-key>',
'X-API-Signature': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
currency: '<string>',
minimum_threshold_amount: 123,
payout_address: '<string>',
payout_threshold_amount: 123
})
};
fetch('https://mapi.zbx.boomfi.xyz/v1/partners/accounts/id/{accountId}/automations/maintain-balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"account": {
"address": "<string>",
"chain_id": 123,
"currencies": [
"<string>"
],
"enabled": true,
"id": 123,
"name": "<string>",
"reference": "<string>"
},
"currency": "<string>",
"minimum_threshold_amount": 123,
"payout_account": {
"address": "<string>",
"chain_id": 123,
"currencies": [
"<string>"
],
"enabled": true,
"id": 123,
"name": "<string>",
"reference": "<string>"
},
"payout_threshold_amount": 123
},
"error": true,
"message": "<string>"
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}Partner Balance Monitoring
Create Balance Monitoring
Create a maintain-balance automation for an account
POST
/
partners
/
accounts
/
id
/
{accountId}
/
automations
/
maintain-balance
Create Balance Monitoring
Authorizations
Path Parameters
Unique settlement or virtual account identifier
Body
application/json
Balance monitoring request
⌘I